import net from './request.js';

// import store from '../store';

const API = {
	/*
	 用户相关
	 */
    login: data => net.post('/user/login', data, false), // 登录
    getUserInfo: () => net.get('/user/info', {}, false), // 获取用户信息
    updateUserInfo: data => net.put('/user/update', data, false), // 更新用户信息
    upload: data => net.post('/user/upload', data, false), // 上传头像
    getUserInfoById: (id) => net.get(`/user/info/${id}`, {}, false), // 根据ID获取用户信息
    getLoverInfo: () => net.get('/user/lover', {}, false), // 获取情侣关系信息（包含 startDate 与 loverId）
	
    /* 
    纪念日相关
    */
    getMemorialDay: (id) => net.get(`/anniversary/${id}`, {}, false), // 获取纪念日详情
    getMemorialDayList: () => net.get('/anniversary/list', {}, false), // 获取纪念日列表
    addMemorialDay: data => net.post('/anniversary', data, false), // 添加纪念日
    updateMemorialDay: data => net.put('/anniversary', data, false), // 更新纪念日
    deleteMemorialDay: data => net.delete('/anniversary', data, false) // 删除纪念日

};

export default API

